dcell-s3-registry
=================

This provides an [AWS S3](http://aws.amazon.com/s3/) registry for
[DCell](https://github.com/celluloid/dcell).

The S3 registry adapter allows DCell to use S3 as a registry instead of Redis, Zookeeper, etc.

## Prerequisites

Please follow the [instructions for DCell](https://github.com/celluloid/dcell).

## Installation

Add this line to your application's Gemfile:

    gem 'dcell-s3-adapter'

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install dcell-s3-adapter

## Usage

```ruby
require 'dcell'
require 'dcell/registries/s3_adapter'

DCell.start(registry: { adapter: 's3', bucket: 'bucket-name' })
```

Please see the DCell documentation for further details.

There is an executable example in `examples/dcell-s3-registry.rb`.

    $ ruby examples/dcell-s3-registry.rb -n master -p 7777 -b your-unique-bucket
    $ ruby examples/dcell-s3-registry.rb -n node_1 -p 7778 -b your-unique-bucket

## Copyright

Copyright (c) 2013 Joe Hosteny. Distributed under the MIT License.
See LICENSE.txt for further details.
